package cn.com.qmth.examcloud.core.questions.dao.entity;

import cn.com.qmth.examcloud.core.questions.dao.entity.base.IdBase;
import org.springframework.data.mongodb.core.mapping.DBRef;

/**
 * @author chenken
 * @date 2017年7月14日 上午9:34:16
 * @company QMTH
 * @description 调卷规则关联试卷
 */
public class ExamPaper extends IdBase {
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 课程代码
     */
    private String courseCode;
    /**
     * 试卷类型
     */
    private String groupCode;
    /**
     * 关联试卷
     */
    @DBRef
    private Paper paper;
    /**
     * 抽取试卷次数
     */
    private Integer extractCount;
    /**
     * 抽取权重比例
     * 整数类型 例如：70%  数据库里存70
     */
    private Integer weight;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getGroupCode() {
        return groupCode;
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    public Integer getExtractCount() {
        return extractCount;
    }

    public void setExtractCount(Integer extractCount) {
        this.extractCount = extractCount;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public Paper getPaper() {
        return paper;
    }

    public void setPaper(Paper paper) {
        this.paper = paper;
    }

}
